## camera-app 2.9.1+13.10.20130703

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,8 +65,6 @@
     DESTINATION ${CAMERA_APP_DIR}
     )
 
-set(THEME_DIR theme)
-
 install(DIRECTORY ${THEME_DIR}
     DESTINATION ${CAMERA_APP_DIR}
     )
