## camera-app 2.9.1+13.10.20130725

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,9 @@
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(UserMetrics REQUIRED libusermetricsinput-1)
+
 # Standard install paths
 include(GNUInstallDirs)
 
@@ -25,6 +28,7 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
+    ${UserMetrics_INCLUDE_DIRS}
     )
 
 set(CAMERA_APP camera-app)
@@ -45,6 +49,7 @@
     ${Qt5Core_LIBRARIES}
     ${Qt5Quick_LIBRARIES}
     ${Qt5Multimedia_LIBRARIES}
+    ${UserMetrics_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}
