## camera-app 2.9.1+14.04.20140508-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
+find_package(Qt5Gui)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -18,17 +19,23 @@
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" off)
 
+set(CAMERA_APP camera-app)
+
 if(CLICK_MODE)
-    set(CAMERA_APP camera)
+    if(NOT DEFINED BZR_SOURCE)
+        set(BZR_SOURCE "lp:camera-app")
+    endif(NOT DEFINED BZR_SOURCE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CAMERA_APP_DIR /)
     set(CMAKE_INSTALL_BINDIR /)
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "./${CAMERA_APP}")
-    set(CLICK_TAG click)
+	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
+	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+    add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
-    set(CAMERA_APP camera-app)
+	set(CAMERA_ICON "camera-app")
     set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
@@ -41,6 +48,7 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
+    ${Qt5Gui_INCLUDE_DIRS}
     )
 
 set(camera_app_HDRS
@@ -59,6 +67,7 @@
     ${Qt5Core_LIBRARIES}
     ${Qt5Quick_LIBRARIES}
     ${Qt5Multimedia_LIBRARIES}
+    ${Qt5Gui_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}
@@ -88,8 +97,7 @@
 file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
 foreach(LINE ${DESKTOP_FILE_CONTENTS})
     string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
-    string(REGEX REPLACE "\@DESKTOP_EXEC\@" 
-        "${DESKTOP_EXEC}" LINE "${LINE}")
+    string(CONFIGURE "${LINE}" LINE)
     file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
 endforeach(LINE)
 
@@ -99,6 +107,7 @@
 
 add_subdirectory(CameraApp)
 add_subdirectory(click)
+add_subdirectory(desktop)
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
