=== debian/changelog ===
camera-app (2.9.1+14.04.20140508-0ubuntu1) trusty; urgency=medium

  [Bill Filler]
  * disable video record button, temp fix for lp:1299073

  [Arthur Mello]
  * Flip the video horizontally if we are on desktop lp:1307654

 -- Bill Filler <bill.filler@canonical.com>  Thu, 08 May 2014 21:13:02 -0400

camera-app (2.9.1+14.04.20140331-0ubuntu2) trusty; urgency=medium

  * Alternatively depend on the OpenGLES version of
    qtdeclarative5-qtmultimedia-plugin and
    qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 15:59:16 -0300

camera-app (2.9.1+14.04.20140331-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * updated framework version
  * change check for desktopMode to use platform name rather than env
    var

  [ Pete Woods ]
  * Handle the HUD quit signal This change is only necessary for apps
    that don't use the UITK MainView (LP: #1269409)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 31 Mar 2014 16:39:21 +0000

camera-app (2.9.1+14.04.20140307-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 06:56:53 +0000

camera-app (2.9.1+14.04.20140306-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * click support

  [ Sergio Schvezov ]
  * click support

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:42:20 +0000

camera-app (2.9.1+14.04.20140214-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * skip integration test until it's reworked to be more reliable

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Feb 2014 23:40:23 +0000

camera-app (2.9.1+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * initial support for DESKTOP_MODE

  [ Omer Akram ]
  * port autopilot tests to python 3.
  * add integration test to make sure gallery icon in the camera toolbar
    really opens the gallery-app. (LP: #1228335)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 23:49:01 +0000

camera-app (2.9.1+14.04.20131106-0ubuntu1) trusty; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Make camera-app autopilot tests passing on 1.4 - we remove the
    main_window.get_camera() element as it is broken and not used at all
    during tests

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 224

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 15:13:17 +0000

camera-app (2.9.1+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Bill Filler ]
  * skip invalid tests on maguro/mir
  * Center the viewfinder in more cases fixes LP: #1179503 (LP:
    #1179503)
  * Disable the video switch as the feature is not working for v1.0

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 217

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 09:20:29 +0000

camera-app (2.9.1+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Set the minimum value for the camera infographic (fix regression in
    r200). (LP: #1214309)

  [ Ted Gould ]
  * Adding single instance marker to the desktop file.

  [ Ugo Riboni ]
  * Launch the gallery app using the URL dispatcher. (LP: #1229291)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 210

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Oct 2013 05:25:24 +0000

camera-app (2.9.1+13.10.20130930.4-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Use the new QML bindings to send metrics via libusermetrics.

  [ Sergio Schvezov ]
  * Click build support.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 203

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 21:44:47 +0000

camera-app (2.9.1+13.10.20130923-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Disable test_shoot_button_disable(9 as it is unstable because of a
    race condition. (LP: #1227373)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 198

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 23 Sep 2013 07:49:28 +0000

camera-app (2.9.1+13.10.20130919.2-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Fix the infographic display, so that it correctly sets the minimum
    value.

  [ Ugo Riboni ]
  * Use the new actions API to add actions to the HUD, and make sure
    they actually do something. (LP: #1221344)

  [ Timo Jyrinki ]
  * Add qtdeclarative5-unity-action-plugin dependency

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 193

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Sep 2013 09:01:53 +0000

camera-app (2.9.1+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Use Eventually for testing the focus ring opacity for 0.0. (LP:
    #1206822)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 183

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 04:41:55 +0000

camera-app (2.9.1+13.10.20130731-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Change the license of assets to CC instead of GPL3. (LP: #1194916)
  * Align the camera app recording time counter as specified by design.
    (LP: #1193257)
  * The margin of the zoom bar center line and toolbar center of
    symmetry are now the same when in landscape mode. (LP: #1122036)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 181

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 04:01:54 +0000

camera-app (2.9.1+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Don't show the zoom bar, when zooming is not possible. (LP:
    #1191088)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 177

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 06:40:01 +0000

camera-app (2.9.1+13.10.20130724-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Change the infographic text as per design request.


