=== debian/control ===
Source: camera-app
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ugo Riboni <ugo.riboni@canonical.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgl1-mesa-dev | libgl1-dev,
               libgles2-mesa-dev | libgles2-dev,
               pkg-config,
               python,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-qtquick2-plugin,
               qtdeclarative5-test-plugin,
               qtdeclarative5-ubuntu-ui-toolkit-plugin,
               qtdeclarative5-unity-action-plugin (>= 1.1.0),
               qtdeclarative5-usermetrics0.1,
               qtmultimedia5-dev,
               libusermetricsinput1-dev,
               gettext,
               dh-translations,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/camera-app
# If you aren't a member of ~phablet-team but need to upload packaging changes,
# just go ahead.  ~phablet-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~phablet-team/camera-app/trunk

Package: camera-app
Architecture: any
Depends: cameraplugin-aal [armel armhf],
         libqt5multimedia5,
         qtdeclarative5-qtquick2-plugin,
         qtdeclarative5-qtmultimedia-plugin | qtdeclarative5-qtmultimedia-plugin-gles,
         qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
         qtdeclarative5-unity-action-plugin (>= 1.1.0),
         qtdeclarative5-window-plugin,
         qtdeclarative5-usermetrics0.1,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Camera application
 An application to take pictures and videos with the device camera(s)

Package: camera-app-autopilot
# architecture is not "all", as we set the fake plugin as dependency
Architecture: i386 amd64 armhf
Depends: camera-app (>= ${binary:Version}),
         cameraplugin-fake [!armel !armhf],
         libautopilot-qt (>= 1.4),
         libqt5test5,
         libqt5widgets5,
         unity8-autopilot,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Test package for the camera app
 Autopilot tests for the camera-app package
