## camera-app 3.0.0%2B16.04.20160323.3

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,21 @@
 set(POT_FILE ${DOMAIN}.pot)
 file(GLOB PO_FILES *.po)
 
-add_custom_target(${POT_FILE}
+add_custom_target(${POT_FILE} ALL
+                  COMMENT "Generating translation template"
+                  COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
+                          --srcdir=${CMAKE_SOURCE_DIR} ${DESKTOP_FILE}.in.in
                   COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                           -D ${CMAKE_SOURCE_DIR}
+                          -D ${CMAKE_CURRENT_SOURCE_DIR}
+                          -D ${CMAKE_CURRENT_BINARY_DIR}
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
-                          --keyword=tr --keyword=tr:1,2
+                          --keyword=tr 
+                          --keyword=N_ 
+                          --keyword=tr:1,2
+                          --keyword=QT_TR_NOOP 
+                          --keyword=tag
                           --package-name=camera-app
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_SRC_FILES})
@@ -25,3 +34,4 @@
             DESTINATION ${INSTALL_DIR}
             RENAME ${DOMAIN}.mo)
 endforeach(PO_FILE)
+
