## camera-app 3.0.0+14.10.20141008

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,18 +8,23 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
+# Standard install paths. Needs to be set before finding packages.
+include(GNUInstallDirs)
+
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 find_package(Qt5Gui)
 
-# Standard install paths
-include(GNUInstallDirs)
+find_program(INTLTOOL_MERGE intltool-merge)
+find_program(INTLTOOL_EXTRACT intltool-extract)
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" off)
 
 set(CAMERA_APP camera-app)
+set(AUTOPILOT_DIR camera_app)
+set(DESKTOP_FILE camera-app.desktop)
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)
@@ -31,12 +36,18 @@
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "./${CAMERA_APP}")
-	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
-	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+  	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
+  	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
     add_definitions("-DCLICK_MODE=1")
+
+    if(NOT BZR_REVNO)
+        set(BZR_REVNO "latest")
+    endif(NOT BZR_REVNO)
 else(CLICK_MODE)
-	set(CAMERA_ICON "camera-app")
+    set(CAMERA_ICON "camera-app")
     set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
+    set(PLUGIN_BASE ${CMAKE_INSTALL_LIBDIR}/${CAMERA_APP})
+    set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
 
@@ -92,26 +103,41 @@
     DESTINATION ${CAMERA_APP_DIR}
     )
 
-set(DESKTOP_FILE camera-app.desktop)
-file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
-file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
-foreach(LINE ${DESKTOP_FILE_CONTENTS})
-    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
-    string(CONFIGURE "${LINE}" LINE)
-    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
-endforeach(LINE)
+configure_file(${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)
+add_custom_target(${DESKTOP_FILE} ALL
+         COMMENT "Merging translations into ${DESKTOP_FILE}"
+         COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po ${DESKTOP_FILE}.in ${DESKTOP_FILE}
+        )
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
-    )
+# make non compiled files visible in qtcreator
+file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot qmldir)
+add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
+
+if(CLICK_MODE)
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
+        DESTINATION ${CMAKE_INSTALL_PREFIX})
+
+    configure_file(manifest.json ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES camera-apparmor.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES camera-contenthub.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+
+else(CLICK_MODE)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+endif(CLICK_MODE)
 
 add_subdirectory(CameraApp)
-add_subdirectory(click)
 add_subdirectory(desktop)
 
 file(GLOB_RECURSE I18N_SRC_FILES
-     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     **.qml **.desktop.in)
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/po
+     **.qml)
+list(APPEND I18N_SRC_FILES ${DESKTOP_FILE}.in.in.h)
 list(SORT I18N_SRC_FILES)
 
 # for dh_translations to extract the domain
