## camera-app 3.0.0+16.04.20151026

=== CameraApp/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # QML plugin
+project(camera_plugin)
 
 set(plugin_SRCS
     components.cpp
     advancedcamerasettings.cpp
     fileoperations.cpp
     foldersmodel.cpp
+    storagemonitor.cpp
+    qstorageinfo.cpp
+    qstorageinfo_unix.cpp
     )
 
 set(plugin_HDRS
@@ -12,6 +16,9 @@
     advancedcamerasettings.h
     fileoperations.h
     foldersmodel.h
+    storagemonitor.h
+    qstorageinfo.h
+    qstorageinfo_p.h
     )
 
 add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})
