=== po/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,8 @@
                           -D ${CMAKE_CURRENT_BINARY_DIR}
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
-                          --keyword=tr 
-                          --keyword=N_ 
-                          --keyword=tr:1,2
-                          --keyword=QT_TR_NOOP 
-                          --keyword=tag
+                          --keyword=tr --keyword=N_ --keyword=tr:1,2
+                          --keyword=QT_TR_NOOP
                           --package-name=camera-app
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_SRC_FILES})
