=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,13 @@
+find_program(XVFB_RUN_BIN
+    NAMES xvfb-run
+)
+
+set(XVFB_RUN_CMD ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")
+
 add_executable(tst_QmlTests tst_QmlTests.cpp)
 qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
 target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})
-add_test(tst_QmlTests ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
-set_tests_properties(tst_QmlTests PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")
+add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
 
 # copy qml test files to build dir
 file(GLOB qmlTestFiles RELATIVE ${CMAKE_SOURCE_DIR}/tests/unittests/ *qml)
