=== CameraApp/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,7 @@
     fileoperations.cpp
     foldersmodel.cpp
     storagemonitor.cpp
-    qstorageinfo.cpp
-    qstorageinfo_unix.cpp
+    storagelocations.cpp
     )
 
 set(plugin_HDRS
@@ -17,8 +16,7 @@
     fileoperations.h
     foldersmodel.h
     storagemonitor.h
-    qstorageinfo.h
-    qstorageinfo_p.h
+    storagelocations.h
     )
 
 add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})
