=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_executable(tst_QmlTests tst_QmlTests.cpp)
 qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
 target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})
-add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
+add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR} -import ${CMAKE_BINARY_DIR})
 
 # copy qml test files to build dir
 file(GLOB qmlTestFiles RELATIVE ${CMAKE_SOURCE_DIR}/tests/unittests/ *qml)
