## camera-app 3.0.0+17.04.20170106

=== CMakeLists.txt ===
--- 
+++ 
@@ -136,6 +136,9 @@
 else(CLICK_MODE)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    install(FILES camera-contenthub.json
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
+        RENAME camera-app)
 endif(CLICK_MODE)
 
 add_subdirectory(CameraApp)
